#ifndef SELECT_STAGE_H
#define SELECT_STAGE_H
#include "config.h"
#include "stage.h"

#define CursorPos2StageIx(x, y, line) (((line)+(y)) * THUMB_COL_NUM + x)


void select_stage_init(void);
void setup_select_stage(void);
void select_stage_keyh(int key);
void select_stage_key_releaseh(int key);
void select_stage_timerh(void);
char *get_stage_name(int n);
unsigned int get_current_stage_no(void);
stage_thumb_t *get_current_thumb(void);
unsigned int get_total_score(void);
unsigned int get_total_star_num(void);
unsigned int get_achieved_star_num(void);
unsigned int get_cleared_stage_num(void);
unsigned int get_stage_num(void);
void update_thumbs_info(void);


#endif

