/*
  カスタマイズ可能なパラメータ
*/
#ifndef CONFIG_H
#define CONFIG_H
#include <assert.h>

// emap表示など、デバッグ用機能を有効にする
#define DEBUG
// 未クリアのステージは挑戦可能な分以外はロックする
//#define LOCK_STAGE

#define MAJOR_VERSION 0
#define MINOR_VERSION 01

#define SAVE_DIR ".zogohan"
//#define ACHIEVEMENTS_FILE "zogohan.dat"
#define CONFIG_FILE "zogohan.cfg"
#define STAGE_DIR "stage"
//#define STAGE_RECORD_DIR "record"
//#define CAMPAIGN_DIR "campaign"
//#define CUSTOM_DIR "custom"

//#define STAGE_RECORD_EXT "sav"
#define STAGE_EXT "stg"


#define LOG_FILE "zogohan.log"
#define LOG_OUTPUT_STDERR_DEFAULT 1
#define LOG_OUTPUT_FILE_DEFAULT 1
#define LOG_LIMIT (1024*1024)

#define APPLICATION_ID "\000ZGohan\000"
#define APPLICATION_ID_SIZE 8

// ANIME_FRAMEはぞうごはんでは廃止してGAME_SPEEDに統一？
#define ANIME_FRAMES 15
#define ANIME_INTERVAL (1000/ANIME_FRAMES)
#define GAME_SPEED 50

// ステージ数の上限とその桁数
#define STAGE_NUM_MAX 999
#define STAGE_NUM_LEN 3

#define GAME_CLEAR_COUNTDOWN (ANIME_FRAMES*5)




#endif
