/*
  表示関係のパラメータ
*/
#ifndef LAYOUT_H
#define LAYOUT_H
#include "config.h"
#include "param.h"

#define WIN_WIDTH 800
#define WIN_HEIGHT 600

// 基本単位となるピクセル数
#define UNITSIZE 32 

#define MAP_LTX 8
#define MAP_LTY 24

#define ELEPHANT_X (32*16+4)
#define ELEPHANT_Y 16

#define TITLE_WIDTH 631

// フォント1行あたりのピクセル数(フォント高さ+行間)
#define LINESKIP 20

#define THUMB_ROW_NUM 2
#define THUMB_COL_NUM 4
#define THUMB_GRID_SIZE 8
#define THUMB_WIDTH (MAP_WIDTH * THUMB_GRID_SIZE)
#define THUMB_HEIGHT (MAP_HEIGHT * THUMB_GRID_SIZE)
#define THUMB_XSKIP (THUMB_WIDTH+32)
#define THUMB_YSKIP (THUMB_HEIGHT+84)
#define THUMB_XOFFSET 32
#define THUMB_YOFFSET 96

#endif
